/*******************************************************************
  HD4470n(SC1602BS*B) tW[pR[h@'061216 050301 '041216
  LCD wb_[t@C (Kusunoki Masahirô̂ύXj
  MPU=PIC24Fp
  |[g̊蓖
@@PD4F7@LCDD4FD7@tɃf[^𑗂iWrbgQɕāj
@@PD2@@ LCD RSiRegister Srectj
@@PD3@@ V@@EiEnablej
  |[gύXƂ//1 ̃̕|[gύX
  rbgԍύXƂ//2 ̃̕rbgԍύX
 ******************************************************************* */

#define uint8_t unsigned char
#define uint16_t unsigned int
#define _BV(x) (1<<x)

#define LCD_CTL_PORT LATB          //1
#define LCD_DATA_PORT LATB         //1
#define LCD_CTL_PORT_DDR TRISB     //1
#define LCD_DATA_PORT_DDR TRISB    //1

#define LCD_D4 12    //2
#define LCD_D5 13    //2
#define LCD_D6 14    //2
#define LCD_D7 15    //2
#define LCD_RS 10    //2
#define LCD_E  11    //2
//#define LCD_RW 1  //n[hEGAGNDɐڑĂiWritej

#define LCD_COL 16

void lcd_delay(void);
void lcd_e(void);
void lcd_gotopos(uint8_t a, uint8_t b);
void lcd_cls(void);
void lcd_setpos(void);
void lcd_cmdout_s(uint8_t a);
void lcd_putcmd(uint8_t a);
void lcd_dataout_s(uint8_t a);
void lcd_putch(uint8_t a);
void lcd_putstr(void *a);
void lcd_init(void);

void lcd_putram(uint8_t adr, uint8_t *dat);

